Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class CriteriaExpressionVisitor.ParameterVisitor

    java.lang.Object
      org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor.AbstractVisitor
          org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor.ParameterVisitor

All Implemented Interfaces:
  CriteriaExpressionVisitor

Enclosing interface:
  CriteriaExpressionVisitor

    public static class CriteriaExpressionVisitor.ParameterVisitor

extends CriteriaExpressionVisitor.AbstractVisitor

A visitor to register Parameter expression of a query.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor
`CriteriaExpressionVisitor.AbstractVisitor, CriteriaExpressionVisitor.ParameterVisitor, CriteriaExpressionVisitor.TraversalStyle`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor.AbstractVisitor
`_visited`

Constructor Summary
`CriteriaExpressionVisitor.ParameterVisitor(CriteriaQueryImpl<?> q)`

Method Summary
`void` | `enter(CriteriaExpression expr)` Enter the given node.

Methods inherited from class org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor.AbstractVisitor
`exit, getTraversalStyle, isVisited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CriteriaExpressionVisitor.ParameterVisitor

    public CriteriaExpressionVisitor.ParameterVisitor(CriteriaQueryImpl<?> q)

Method Detail

### enter

    public void enter(CriteriaExpression expr)

  Description copied from interface: `CriteriaExpressionVisitor`
  Enter the given node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.